fa1939dba6bd912189a31d2341d34ff80bdd26d2
[platform/upstream/curl.git] / docs / libcurl / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #***************************************************************************
18 #                                  _   _ ____  _
19 #  Project                     ___| | | |  _ \| |
20 #                             / __| | | | |_) | |
21 #                            | (__| |_| |  _ <| |___
22 #                             \___|\___/|_| \_\_____|
23 #
24 # Copyright (C) 1998 - 2012, Daniel Stenberg, <daniel@haxx.se>, et al.
25 #
26 # This software is licensed as described in the file COPYING, which
27 # you should have received as part of this distribution. The terms
28 # are also available at http://curl.haxx.se/docs/copyright.html.
29 #
30 # You may opt to use, copy, modify, merge, publish, distribute and/or sell
31 # copies of the Software, and permit persons to whom the Software is
32 # furnished to do so, under the terms of the COPYING file.
33 #
34 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35 # KIND, either express or implied.
36 #
37 ###########################################################################
38 VPATH = @srcdir@
39 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
40 am__make_running_with_option = \
41   case $${target_option-} in \
42       ?) ;; \
43       *) echo "am__make_running_with_option: internal error: invalid" \
44               "target option '$${target_option-}' specified" >&2; \
45          exit 1;; \
46   esac; \
47   has_opt=no; \
48   sane_makeflags=$$MAKEFLAGS; \
49   if $(am__is_gnu_make); then \
50     sane_makeflags=$$MFLAGS; \
51   else \
52     case $$MAKEFLAGS in \
53       *\\[\ \   ]*) \
54         bs=\\; \
55         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
56           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
57     esac; \
58   fi; \
59   skip_next=no; \
60   strip_trailopt () \
61   { \
62     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
63   }; \
64   for flg in $$sane_makeflags; do \
65     test $$skip_next = yes && { skip_next=no; continue; }; \
66     case $$flg in \
67       *=*|--*) continue;; \
68         -*I) strip_trailopt 'I'; skip_next=yes;; \
69       -*I?*) strip_trailopt 'I';; \
70         -*O) strip_trailopt 'O'; skip_next=yes;; \
71       -*O?*) strip_trailopt 'O';; \
72         -*l) strip_trailopt 'l'; skip_next=yes;; \
73       -*l?*) strip_trailopt 'l';; \
74       -[dEDm]) skip_next=yes;; \
75       -[JT]) skip_next=yes;; \
76     esac; \
77     case $$flg in \
78       *$$target_option*) has_opt=yes; break;; \
79     esac; \
80   done; \
81   test $$has_opt = yes
82 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
83 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
84 pkgdatadir = $(datadir)/@PACKAGE@
85 pkgincludedir = $(includedir)/@PACKAGE@
86 pkglibdir = $(libdir)/@PACKAGE@
87 pkglibexecdir = $(libexecdir)/@PACKAGE@
88 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
89 install_sh_DATA = $(install_sh) -c -m 644
90 install_sh_PROGRAM = $(install_sh) -c
91 install_sh_SCRIPT = $(install_sh) -c
92 INSTALL_HEADER = $(INSTALL_DATA)
93 transform = $(program_transform_name)
94 NORMAL_INSTALL = :
95 PRE_INSTALL = :
96 POST_INSTALL = :
97 NORMAL_UNINSTALL = :
98 PRE_UNINSTALL = :
99 POST_UNINSTALL = :
100 build_triplet = @build@
101 host_triplet = @host@
102 subdir = docs/libcurl
103 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
104         $(top_srcdir)/mkinstalldirs
105 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
106 am__aclocal_m4_deps = $(top_srcdir)/m4/curl-compilers.m4 \
107         $(top_srcdir)/m4/curl-confopts.m4 \
108         $(top_srcdir)/m4/curl-functions.m4 \
109         $(top_srcdir)/m4/curl-openssl.m4 \
110         $(top_srcdir)/m4/curl-override.m4 \
111         $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
112         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
113         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
114         $(top_srcdir)/m4/xc-am-iface.m4 \
115         $(top_srcdir)/m4/xc-cc-check.m4 \
116         $(top_srcdir)/m4/xc-lt-iface.m4 \
117         $(top_srcdir)/m4/xc-translit.m4 \
118         $(top_srcdir)/m4/xc-val-flgs.m4 \
119         $(top_srcdir)/m4/zz40-xc-ovr.m4 \
120         $(top_srcdir)/m4/zz50-xc-ovr.m4 \
121         $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
122         $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124         $(ACLOCAL_M4)
125 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
126 CONFIG_HEADER = $(top_builddir)/lib/curl_config.h \
127         $(top_builddir)/include/curl/curlbuild.h
128 CONFIG_CLEAN_FILES =
129 CONFIG_CLEAN_VPATH_FILES =
130 AM_V_P = $(am__v_P_@AM_V@)
131 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
132 am__v_P_0 = false
133 am__v_P_1 = :
134 AM_V_GEN = $(am__v_GEN_@AM_V@)
135 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
136 am__v_GEN_0 = @echo "  GEN     " $@;
137 am__v_GEN_1 = 
138 AM_V_at = $(am__v_at_@AM_V@)
139 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
140 am__v_at_0 = @
141 am__v_at_1 = 
142 depcomp =
143 am__depfiles_maybe =
144 SOURCES =
145 DIST_SOURCES =
146 am__can_run_installinfo = \
147   case $$AM_UPDATE_INFO_DIR in \
148     n|no|NO) false;; \
149     *) (install-info --version) >/dev/null 2>&1;; \
150   esac
151 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
152 am__vpath_adj = case $$p in \
153     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
154     *) f=$$p;; \
155   esac;
156 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
157 am__install_max = 40
158 am__nobase_strip_setup = \
159   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
160 am__nobase_strip = \
161   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
162 am__nobase_list = $(am__nobase_strip_setup); \
163   for p in $$list; do echo "$$p $$p"; done | \
164   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
165   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
166     if (++n[$$2] == $(am__install_max)) \
167       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
168     END { for (dir in files) print dir, files[dir] }'
169 am__base_list = \
170   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
171   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
172 am__uninstall_files_from_dir = { \
173   test -z "$$files" \
174     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
175     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
176          $(am__cd) "$$dir" && rm -f $$files; }; \
177   }
178 man3dir = $(mandir)/man3
179 am__installdirs = "$(DESTDIR)$(man3dir)"
180 MANS = $(man_MANS)
181 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
182 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
183 ACLOCAL = @ACLOCAL@
184 AMTAR = @AMTAR@
185 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
186 AR = @AR@
187 AS = @AS@
188 AUTOCONF = @AUTOCONF@
189 AUTOHEADER = @AUTOHEADER@
190 AUTOMAKE = @AUTOMAKE@
191 AWK = @AWK@
192 BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
193 CC = @CC@
194 CCDEPMODE = @CCDEPMODE@
195 CFLAGS = @CFLAGS@
196 CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
197 CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
198 CPP = @CPP@
199 CPPFLAGS = @CPPFLAGS@
200 CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
201 CURLVERSION = @CURLVERSION@
202 CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
203 CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
204 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
205 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
206 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
207 CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
208 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
209 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
210 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
211 CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
212 CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
213 CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
214 CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
215 CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
216 CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
217 CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
218 CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
219 CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
220 CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
221 CYGPATH_W = @CYGPATH_W@
222 DEFS = @DEFS@
223 DEPDIR = @DEPDIR@
224 DLLTOOL = @DLLTOOL@
225 DSYMUTIL = @DSYMUTIL@
226 DUMPBIN = @DUMPBIN@
227 ECHO_C = @ECHO_C@
228 ECHO_N = @ECHO_N@
229 ECHO_T = @ECHO_T@
230 EGREP = @EGREP@
231 ENABLE_SHARED = @ENABLE_SHARED@
232 ENABLE_STATIC = @ENABLE_STATIC@
233 EXEEXT = @EXEEXT@
234 FGREP = @FGREP@
235 GREP = @GREP@
236 HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
237 HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
238 HAVE_LIBZ = @HAVE_LIBZ@
239 HAVE_NSS_INITCONTEXT = @HAVE_NSS_INITCONTEXT@
240 HAVE_SSLEAY_SRP = @HAVE_SSLEAY_SRP@
241 IDN_ENABLED = @IDN_ENABLED@
242 INSTALL = @INSTALL@
243 INSTALL_DATA = @INSTALL_DATA@
244 INSTALL_PROGRAM = @INSTALL_PROGRAM@
245 INSTALL_SCRIPT = @INSTALL_SCRIPT@
246 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
247 IPV6_ENABLED = @IPV6_ENABLED@
248 KRB4_ENABLED = @KRB4_ENABLED@
249 LD = @LD@
250 LDFLAGS = @LDFLAGS@
251 LIBCURL_LIBS = @LIBCURL_LIBS@
252 LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
253 LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
254 LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
255 LIBOBJS = @LIBOBJS@
256 LIBS = @LIBS@
257 LIBTOOL = @LIBTOOL@
258 LIPO = @LIPO@
259 LN_S = @LN_S@
260 LTLIBOBJS = @LTLIBOBJS@
261 MAINT = @MAINT@
262 MAKEINFO = @MAKEINFO@
263 MANIFEST_TOOL = @MANIFEST_TOOL@
264 MANOPT = @MANOPT@
265 MKDIR_P = @MKDIR_P@
266 NM = @NM@
267 NMEDIT = @NMEDIT@
268 NROFF = @NROFF@
269 OBJDUMP = @OBJDUMP@
270 OBJEXT = @OBJEXT@
271 OTOOL = @OTOOL@
272 OTOOL64 = @OTOOL64@
273 PACKAGE = @PACKAGE@
274 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
275 PACKAGE_NAME = @PACKAGE_NAME@
276 PACKAGE_STRING = @PACKAGE_STRING@
277 PACKAGE_TARNAME = @PACKAGE_TARNAME@
278 PACKAGE_URL = @PACKAGE_URL@
279 PACKAGE_VERSION = @PACKAGE_VERSION@
280 PATH_SEPARATOR = @PATH_SEPARATOR@
281 PERL = @PERL@
282 PKGADD_NAME = @PKGADD_NAME@
283 PKGADD_PKG = @PKGADD_PKG@
284 PKGADD_VENDOR = @PKGADD_VENDOR@
285 PKGCONFIG = @PKGCONFIG@
286 RANDOM_FILE = @RANDOM_FILE@
287 RANLIB = @RANLIB@
288 REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
289 SED = @SED@
290 SET_MAKE = @SET_MAKE@
291 SHELL = @SHELL@
292 SSL_ENABLED = @SSL_ENABLED@
293 STRIP = @STRIP@
294 SUPPORT_FEATURES = @SUPPORT_FEATURES@
295 SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
296 USE_ARES = @USE_ARES@
297 USE_AXTLS = @USE_AXTLS@
298 USE_CYASSL = @USE_CYASSL@
299 USE_DARWINSSL = @USE_DARWINSSL@
300 USE_GNUTLS = @USE_GNUTLS@
301 USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
302 USE_LIBRTMP = @USE_LIBRTMP@
303 USE_LIBSSH2 = @USE_LIBSSH2@
304 USE_NSS = @USE_NSS@
305 USE_OPENLDAP = @USE_OPENLDAP@
306 USE_POLARSSL = @USE_POLARSSL@
307 USE_SCHANNEL = @USE_SCHANNEL@
308 USE_SSLEAY = @USE_SSLEAY@
309 USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
310 VERSION = @VERSION@
311 VERSIONNUM = @VERSIONNUM@
312 ZLIB_LIBS = @ZLIB_LIBS@
313 abs_builddir = @abs_builddir@
314 abs_srcdir = @abs_srcdir@
315 abs_top_builddir = @abs_top_builddir@
316 abs_top_srcdir = @abs_top_srcdir@
317 ac_ct_AR = @ac_ct_AR@
318 ac_ct_CC = @ac_ct_CC@
319 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
320 am__include = @am__include@
321 am__leading_dot = @am__leading_dot@
322 am__quote = @am__quote@
323 am__tar = @am__tar@
324 am__untar = @am__untar@
325 bindir = @bindir@
326 build = @build@
327 build_alias = @build_alias@
328 build_cpu = @build_cpu@
329 build_os = @build_os@
330 build_vendor = @build_vendor@
331 builddir = @builddir@
332 datadir = @datadir@
333 datarootdir = @datarootdir@
334 docdir = @docdir@
335 dvidir = @dvidir@
336 exec_prefix = @exec_prefix@
337 host = @host@
338 host_alias = @host_alias@
339 host_cpu = @host_cpu@
340 host_os = @host_os@
341 host_vendor = @host_vendor@
342 htmldir = @htmldir@
343 includedir = @includedir@
344 infodir = @infodir@
345 install_sh = @install_sh@
346 libdir = @libdir@
347 libexecdir = @libexecdir@
348 libext = @libext@
349 localedir = @localedir@
350 localstatedir = @localstatedir@
351 mandir = @mandir@
352 mkdir_p = @mkdir_p@
353 oldincludedir = @oldincludedir@
354 pdfdir = @pdfdir@
355 prefix = @prefix@
356 program_transform_name = @program_transform_name@
357 psdir = @psdir@
358 sbindir = @sbindir@
359 sharedstatedir = @sharedstatedir@
360 srcdir = @srcdir@
361 subdirs = @subdirs@
362 sysconfdir = @sysconfdir@
363 target_alias = @target_alias@
364 top_build_prefix = @top_build_prefix@
365 top_builddir = @top_builddir@
366 top_srcdir = @top_srcdir@
367 AUTOMAKE_OPTIONS = foreign no-dependencies
368 man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3      \
369  curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3            \
370  curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3             \
371  curl_slist_append.3 curl_slist_free_all.3 curl_version.3                \
372  curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3           \
373  curl_strequal.3 curl_mprintf.3 curl_global_init.3 curl_global_cleanup.3 \
374  curl_multi_add_handle.3 curl_multi_cleanup.3 curl_multi_fdset.3         \
375  curl_multi_info_read.3 curl_multi_init.3 curl_multi_perform.3           \
376  curl_multi_remove_handle.3 curl_share_cleanup.3 curl_share_init.3       \
377  curl_share_setopt.3 libcurl.3 libcurl-easy.3 libcurl-multi.3            \
378  libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3                   \
379  curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3      \
380  libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3                 \
381  curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3            \
382  curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3                 \
383  curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3                     \
384  curl_multi_socket_action.3 curl_multi_wait.3
385
386 HTMLPAGES = curl_easy_cleanup.html curl_easy_getinfo.html               \
387  curl_easy_init.html curl_easy_perform.html curl_easy_setopt.html       \
388  curl_easy_duphandle.html curl_formadd.html curl_formfree.html          \
389  curl_getdate.html curl_getenv.html curl_slist_append.html              \
390  curl_slist_free_all.html curl_version.html curl_version_info.html      \
391  curl_escape.html curl_unescape.html curl_free.html curl_strequal.html  \
392  curl_mprintf.html curl_global_init.html curl_global_cleanup.html       \
393  curl_multi_add_handle.html curl_multi_cleanup.html                     \
394  curl_multi_fdset.html curl_multi_info_read.html curl_multi_init.html   \
395  curl_multi_perform.html curl_multi_remove_handle.html                  \
396  curl_share_cleanup.html curl_share_init.html curl_share_setopt.html    \
397  libcurl.html libcurl-multi.html libcurl-easy.html libcurl-share.html   \
398  libcurl-errors.html curl_easy_strerror.html curl_multi_strerror.html   \
399  curl_share_strerror.html curl_global_init_mem.html                     \
400  libcurl-tutorial.html curl_easy_reset.html curl_easy_escape.html       \
401  curl_easy_unescape.html curl_multi_setopt.html curl_multi_socket.html  \
402  curl_multi_timeout.html curl_formget.html curl_multi_assign.html       \
403  curl_easy_pause.html curl_easy_recv.html curl_easy_send.html           \
404  curl_multi_socket_action.html curl_multi_wait.html
405
406 PDFPAGES = curl_easy_cleanup.pdf curl_easy_getinfo.pdf                   \
407  curl_easy_init.pdf curl_easy_perform.pdf curl_easy_setopt.pdf           \
408  curl_easy_duphandle.pdf curl_formadd.pdf curl_formfree.pdf              \
409  curl_getdate.pdf curl_getenv.pdf curl_slist_append.pdf                  \
410  curl_slist_free_all.pdf curl_version.pdf curl_version_info.pdf          \
411  curl_escape.pdf curl_unescape.pdf curl_free.pdf curl_strequal.pdf       \
412  curl_mprintf.pdf curl_global_init.pdf curl_global_cleanup.pdf           \
413  curl_multi_add_handle.pdf curl_multi_cleanup.pdf curl_multi_fdset.pdf   \
414  curl_multi_info_read.pdf curl_multi_init.pdf curl_multi_perform.pdf     \
415  curl_multi_remove_handle.pdf curl_share_cleanup.pdf curl_share_init.pdf \
416  curl_share_setopt.pdf libcurl.pdf libcurl-multi.pdf libcurl-easy.pdf    \
417  libcurl-share.pdf libcurl-errors.pdf curl_easy_strerror.pdf             \
418  curl_multi_strerror.pdf curl_share_strerror.pdf                         \
419  curl_global_init_mem.pdf libcurl-tutorial.pdf curl_easy_reset.pdf       \
420  curl_easy_escape.pdf curl_easy_unescape.pdf curl_multi_setopt.pdf       \
421  curl_multi_socket.pdf curl_multi_timeout.pdf curl_formget.pdf           \
422  curl_multi_assign.pdf curl_easy_pause.pdf curl_easy_recv.pdf            \
423  curl_easy_send.pdf curl_multi_socket_action.pdf curl_multi_wait.pdf
424
425 CLEANFILES = $(HTMLPAGES) $(PDFPAGES)
426 EXTRA_DIST = $(man_MANS) $(HTMLPAGES) index.html $(PDFPAGES) libcurl.m4 ABI \
427   symbols-in-versions symbols.pl
428
429 MAN2HTML = roffit --mandir=. < $< >$@
430 SUFFIXES = .3 .html
431 all: all-am
432
433 .SUFFIXES:
434 .SUFFIXES: .3 .html .pdf
435 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
436         @for dep in $?; do \
437           case '$(am__configure_deps)' in \
438             *$$dep*) \
439               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
440                 && { if test -f $@; then exit 0; else break; fi; }; \
441               exit 1;; \
442           esac; \
443         done; \
444         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
445         $(am__cd) $(top_srcdir) && \
446           $(AUTOMAKE) --foreign docs/libcurl/Makefile
447 .PRECIOUS: Makefile
448 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
449         @case '$?' in \
450           *config.status*) \
451             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
452           *) \
453             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
454             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
455         esac;
456
457 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
458         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
459
460 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
461         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
462 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
463         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
464 $(am__aclocal_m4_deps):
465
466 mostlyclean-libtool:
467         -rm -f *.lo
468
469 clean-libtool:
470         -rm -rf .libs _libs
471 install-man3: $(man_MANS)
472         @$(NORMAL_INSTALL)
473         @list1=''; \
474         list2='$(man_MANS)'; \
475         test -n "$(man3dir)" \
476           && test -n "`echo $$list1$$list2`" \
477           || exit 0; \
478         echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
479         $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
480         { for i in $$list1; do echo "$$i"; done;  \
481         if test -n "$$list2"; then \
482           for i in $$list2; do echo "$$i"; done \
483             | sed -n '/\.3[a-z]*$$/p'; \
484         fi; \
485         } | while read p; do \
486           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
487           echo "$$d$$p"; echo "$$p"; \
488         done | \
489         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
490               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
491         sed 'N;N;s,\n, ,g' | { \
492         list=; while read file base inst; do \
493           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
494             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
495             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
496           fi; \
497         done; \
498         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
499         while read files; do \
500           test -z "$$files" || { \
501             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
502             $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
503         done; }
504
505 uninstall-man3:
506         @$(NORMAL_UNINSTALL)
507         @list=''; test -n "$(man3dir)" || exit 0; \
508         files=`{ for i in $$list; do echo "$$i"; done; \
509         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
510           sed -n '/\.3[a-z]*$$/p'; \
511         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
512               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
513         dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
514 tags TAGS:
515
516 ctags CTAGS:
517
518 cscope cscopelist:
519
520
521 distdir: $(DISTFILES)
522         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
523         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
524         list='$(DISTFILES)'; \
525           dist_files=`for file in $$list; do echo $$file; done | \
526           sed -e "s|^$$srcdirstrip/||;t" \
527               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
528         case $$dist_files in \
529           */*) $(MKDIR_P) `echo "$$dist_files" | \
530                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
531                            sort -u` ;; \
532         esac; \
533         for file in $$dist_files; do \
534           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
535           if test -d $$d/$$file; then \
536             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
537             if test -d "$(distdir)/$$file"; then \
538               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
539             fi; \
540             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
541               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
542               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
543             fi; \
544             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
545           else \
546             test -f "$(distdir)/$$file" \
547             || cp -p $$d/$$file "$(distdir)/$$file" \
548             || exit 1; \
549           fi; \
550         done
551 check-am: all-am
552 check: check-am
553 all-am: Makefile $(MANS)
554 installdirs:
555         for dir in "$(DESTDIR)$(man3dir)"; do \
556           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
557         done
558 install: install-am
559 install-exec: install-exec-am
560 install-data: install-data-am
561 uninstall: uninstall-am
562
563 install-am: all-am
564         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
565
566 installcheck: installcheck-am
567 install-strip:
568         if test -z '$(STRIP)'; then \
569           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
570             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
571               install; \
572         else \
573           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
574             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
575             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
576         fi
577 mostlyclean-generic:
578
579 clean-generic:
580         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
581
582 distclean-generic:
583         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
584         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
585
586 maintainer-clean-generic:
587         @echo "This command is intended for maintainers to use"
588         @echo "it deletes files that may require special tools to rebuild."
589 clean: clean-am
590
591 clean-am: clean-generic clean-libtool mostlyclean-am
592
593 distclean: distclean-am
594         -rm -f Makefile
595 distclean-am: clean-am distclean-generic
596
597 dvi: dvi-am
598
599 dvi-am:
600
601 html-am:
602
603 info: info-am
604
605 info-am:
606
607 install-data-am: install-man
608
609 install-dvi: install-dvi-am
610
611 install-dvi-am:
612
613 install-exec-am:
614
615 install-html: install-html-am
616
617 install-html-am:
618
619 install-info: install-info-am
620
621 install-info-am:
622
623 install-man: install-man3
624
625 install-pdf: install-pdf-am
626
627 install-pdf-am:
628
629 install-ps: install-ps-am
630
631 install-ps-am:
632
633 installcheck-am:
634
635 maintainer-clean: maintainer-clean-am
636         -rm -f Makefile
637 maintainer-clean-am: distclean-am maintainer-clean-generic
638
639 mostlyclean: mostlyclean-am
640
641 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
642
643 pdf-am:
644
645 ps: ps-am
646
647 ps-am:
648
649 uninstall-am: uninstall-man
650
651 uninstall-man: uninstall-man3
652
653 .MAKE: install-am install-strip
654
655 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
656         cscopelist-am ctags-am distclean distclean-generic \
657         distclean-libtool distdir dvi dvi-am html html-am info info-am \
658         install install-am install-data install-data-am install-dvi \
659         install-dvi-am install-exec install-exec-am install-html \
660         install-html-am install-info install-info-am install-man \
661         install-man3 install-pdf install-pdf-am install-ps \
662         install-ps-am install-strip installcheck installcheck-am \
663         installdirs maintainer-clean maintainer-clean-generic \
664         mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
665         ps ps-am tags-am uninstall uninstall-am uninstall-man \
666         uninstall-man3
667
668
669 html: $(HTMLPAGES)
670
671 .3.html:
672         $(MAN2HTML)
673
674 pdf: $(PDFPAGES)
675
676 .3.pdf:
677         @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
678         groff -Tps -man $< >$$foo.ps; \
679         ps2pdf $$foo.ps $@; \
680         rm $$foo.ps; \
681         echo "converted $< to $@")
682
683 # Tell versions [3.59,3.63) of GNU make to not export all variables.
684 # Otherwise a system limit (for SysV at least) may be exceeded.
685 .NOEXPORT: